{{- if .Values.exposePrometheusMetrics -}}
apiVersion: monitoring.coreos.com/v1
kind: PodMonitor
metadata:
  name: {{ include "es-rollover-controller.fullname" . }}
  labels:
{{ include "es-rollover-controller.labels" . | indent 4 }}
spec:
  selector:
    matchLabels:
      app.kubernetes.io/name: {{ include "es-rollover-controller.name" . }}
      app.kubernetes.io/instance: {{ .Release.Name }}
  podMetricsEndpoints:
  - port: metrics
{{- end }}
